Name:           perl-MooX-ConfigFromFile
Version:        0.005
Release:        1%{?dist}
Summary:        Moo eXtension for initializing objects from config file
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooX-ConfigFromFile/
Source0:        http://www.cpan.org/modules/by-module/MooX/MooX-ConfigFromFile-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Config::Any)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find::Rule) >= 0.30
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Moo) >= 1.003
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::File::ConfigDir) >= 0.002
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(File::Find::Rule) >= 0.30
Requires:       perl(Moo) >= 1.003
Requires:       perl(MooX::File::ConfigDir) >= 0.002
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Find::Rule\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Moo\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(MooX::File::ConfigDir\\)$
%description
This module is intended to easy load initialization values for attributes
on object construction from an appropriate config file. The building is
done in MooX::ConfigFromFile::Rule - using MooX::ConfigFromFile ensures the
role is applied.

%prep
%setup -q -n MooX-ConfigFromFile-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Nov 02 2014 David Dick <ddick@cpan.org> - 0.005-1
- consolidate Synopsis in main pod
- move from README to README.md

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-2
* Sun Nov 02 2014 David Dick <ddick@cpan.org> - 0.004-1
- Update to 0.04

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-2
- Perl 5.20 rebuild

* Sat Aug 30 2014 David Dick <ddick@cpan.org> - 0.003-1
- Change build system to ExtUtils::MakeMaker, documentation fixes

* Tue Jul 22 2014 David Dick <ddick@cpan.org> - 0.002-1
- Initial release
